/* 
 * Linkoping Intelligent Communication of Knowledge System (LINCKS)
 *      Copyright (C) 1993, 1994, 1995, 1996, 1997 Lin Padgham, Ralph Rnnquist
 *       Department of Computer and Information Sciences
 *		University of Linkoping, Sweden
 *		    581 83 Linkoping, Sweden
 *		       lincks@ida.liu.se
 *
 * These collective LINCKS programs are free software; you can 
 * redistribute them and/or modify them under the terms of the GNU
 * General Public License as published by the Free Software Foundation,
 * version 2 of the License.
 *
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* 
 * MODULE NAME: 	ll_version.c
 *
 * SCCSINFO:		$Id: ll_version.c,v 1.10 1997/04/12 20:34:05 lincks Exp $
 *
 * ORIGINAL AUTHOR(S):  David Partain, 1993-04-27
 *
 * MODIFICATIONS:
 *	<list mods here>
 *
 * DESCRIPTION:
 *
 * This file contains a function which prints out a version string for
 * liblincks.a.
 */
#include "version.h"    /* version definitions */
#include "config.h"	/* includes system dependent includes */
#include "f_ll_version.h"

static char liblincks_version[] = LIBLINCKS_VERSION;

/*  */
/**********************************************************************
 * Function: void print_liblincks_version()
 * 
 * Modifications:
 *      <list mods with name and date>
 */
void print_liblincks_version()
{
  (void) printf("\t%s\n\n", liblincks_version);
}
