.\" 
.\" Linkoping Intelligent Communication of Knowledge System (LINCKS)
.\" Copyright (C) 1993, 1994, 1995, 1996, 1997, 1997 Lin Padgham, Ralph Rnnquist
.\"       Department of Computer and Information Sciences
.\"		University of Linkoping, Sweden
.\"		    581 83 Linkoping, Sweden
.\"		       lincks@ida.liu.se
.\"
.\" These collective LINCKS programs are free software; you can 
.\" redistribute them and/or modify them under the terms of the GNU
.\" General Public License as published by the Free Software Foundation,
.\" version 2 of the License.
.\"
.\" These programs are distributed in the hope that they will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with the programs; if not, write to the Free Software
.\" Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.\" cgi2lincks man page
.\" author: Martin Sjolin
.\" version:  $Id: cgi2lincks.l,v 1.2 1997/04/12 20:34:16 lincks Exp $
.\"
.TH cgi2lincks l "$Date: 1997/04/12 20:34:16 $" IISLAB "LINCKS System"

.SH NAME
cgi2lincks \- for connecting a HTTP server to a LINCKS database.
.SH SYNOPSIS
.B cgi2lincks
[
.B \fIpath to a w3lincks key file\fR
]
.SH DESCRIPTION
\fIcgi2lincks\fR is invoked as a CGI script (program) to
connect to a LINCKS database via the \fIw3lincks\fR 
program. The file given as the only argument is open and
the contents of the file tell us which host, port, user id
and a key to be used when connection to \fIw3lincks\fR. 
After retrieving a few CGI environment variables, \fIcgi2lincks\fR 
reformat the request before passing it on to \fIw3lincks\fR.
Then \fIcgi2lincks\fR forwards all generated output from \fIs3lincks\fR
to stdout (and the HTTP server).
.SH OPTIONS
.TP
.B \fIpath to a w3lincks key file\fR
.SH ENVIRONMENT
.TP
.B CGI
interface environment variables.
.SH SEE ALSO
w3lincks(l), httpd(1)
.SH DIAGNOSTICS
Most of the error messages and diagnostice will be
sent back to the HTTP server as text/html or text/text
messages.
.SH BUGS
Maybe bugs.  Please report all bugs to lincks-bugs@ida.liu.se.
Please include a description of how you can reproduce the bug and the
output of either `dbx cgi2lincks core' or `gdb cgi2lincks core' if possible.
.SH COPYRIGHT
Copyright (C) 1995, 1996, 1997, 1997. Martin Sjolin
.LP
The collective LINCKS programs are free software; you can redistribute 
them and/or modify them under the terms of the GNU General Public
License as published by the Free Software Foundation, version 2.
.LP
The collective LINCKS programs are distributed in the hope that they
will be useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
the GNU General Public License for more details.
.LP
You should have received a copy of the GNU General Public License along
with the LINCKS system; see the file COPYING.  If not, write to the
Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
.SH AVAILABILITY
The most recently released version of the LINCKS system is always 
available for anonymous ftp from ftp.ida.liu.se (130.236.177.26) in
the directory pub/lincks.
