/* 
 * Linkoping Intelligent Communication of Knowledge System (LINCKS)
 *      Copyright (C) 1994, 1995, 1996, 1997 Martin Sjlin
 *       Department of Computer and Information Sciences
 *		University of Linkoping, Sweden
 *		    581 83 Linkoping, Sweden
 *		       lincks@ida.liu.se
 *
 * These collective LINCKS programs are free software; you can 
 * redistribute them and/or modify them under the terms of the GNU
 * General Public License as published by the Free Software Foundation,
 * version 2 of the License.
 *
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* 
 * MODULE NAME:         f_aimserver.h
 *
 * SCCSINFO:		$Id: f_aimserver.h,v 1.3 1997/04/12 20:34:25 lincks Exp $
 *
 * ORIGINAL AUTHOR(S):  Martin Sjlin
 *
 *
 * MODIFICATIONS:
 *	< add modifications with name and date >
 *
 * DESCRIPTION:
 *
 */

#ifndef _f_aimserver_
#define _f_aimserver_

int  html_server    P_((char *address, char *keyfile));
int  setup_socket   P_((char *address, char *keyfile,
			char **host, int *port,  t_u32bits *addr,
			long *key));
int  accept_call_if P_((int servfd, FILE *logfd, t_u32bits addr));
int  delete_keyfile P_((char *keyfile));

#endif /* _f_aimserver_ */
