/* 
 * Linkoping Intelligent Communication of Knowledge System (LINCKS)
 *      Copyright (C) 1993, 1994, 1995, 1996, 1997 Lin Padgham, Ralph Rnnquist
 *       Department of Computer and Information Sciences
 *		University of Linkoping, Sweden
 *		    581 83 Linkoping, Sweden
 *		       lincks@ida.liu.se
 *
 * These collective LINCKS programs are free software; you can 
 * redistribute them and/or modify them under the terms of the GNU
 * General Public License as published by the Free Software Foundation,
 * version 2 of the License.
 *
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* 
 * MODULE NAME: 	graphutils.h
 *
 * SCCSINFO:		$Id: graphutils.h,v 1.5 1997/04/12 20:33:32 lincks Exp $
 *
 * ORIGINAL AUTHOR(S):  Michael Jansson, 22-Mar-1991
 *
 * MODIFICATIONS:
 *	< add mods with name and date >
 *
 * DESCRIPTION:
 *
 */

#ifndef _GRAPHUTILS_H_
#define _GRAPHUTILS_H_

/******************************************************************************
 * INCLUDES:
 ******************************************************************************/
#include "graph.h"

/******************************************************************************
 * LOCAL DEFINES, STRUCTS, TYPEDEFS, ETC.:
 ******************************************************************************/
/* Typedefs. */
typedef struct GNodeStruct {
  GraphNode node;
  int num;
  int used;
} GNode;


/******************************************************************************
 * INTERNAL (STATIC) DATA: 
 ******************************************************************************/
/* None */
#endif	/* _GRAPHUTILS_H_ */
