/* 
 * Linkoping Intelligent Communication of Knowledge System (LINCKS)
 *      Copyright (C) 1994, 1995, 1996, 1997 Martin Sjlin
 *       Department of Computer and Information Sciences
 *		University of Linkoping, Sweden
 *		    581 83 Linkoping, Sweden
 *		       lincks@ida.liu.se
 *
 * These collective LINCKS programs are free software; you can 
 * redistribute them and/or modify them under the terms of the GNU
 * General Public License as published by the Free Software Foundation,
 * version 2 of the License.
 *
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* 
 * MODULE NAME:         f_newexport.h
 *
 * SCCSINFO:		$Id: f_newexport.h,v 1.3 1997/04/12 20:34:39 lincks Exp $
 *
 * ORIGINAL AUTHOR(S):  Martin Sjlin
 *
 *
 * MODIFICATIONS:
 *	< add modifications with name and date >
 *
 * DESCRIPTION:
 *
 */

#ifndef _f_newexport_
#define _f_newexport_

void xblddisplay       P_((reference_structure *rsp, 
			   FILE *fd,
			   char * Context,
			   char * mode ));

void load_html          P_(( void ));
void create_html        P_((int sockfd, FILE *logfd, long key));

int  load_shortname     P_((char *mode, char *buf));
void reset_shortname    P_((char *mode));
void load_charset       P_((char *mode, char *mapping));
void reset_charset      P_((char *mode));
int  load_macros        P_((char *mode, char *macros));
void reset_macros       P_((char *mode));

#endif /* _f_newexport_ */
